Subject: RE: [Diffserv] Some comments on Diff-Serve Conceptual Model Draf t 3

From: Andrew Smith <[email-masked]>
Date: Tue, 30 May 2000 15:34:47 -0700

I think it is well enough described in the Conceptual Model draft. Should we
maybe place it in UPPERCASE PRINT (or even in upside-down print since we
agreed it dahn-unda)? Seriously though, we could make the definitions more
prominent by placing them in the Glossary section up front. I really don't
think any more radical restructuring than that is needed.

Andrew

P.S. I need one of those quote-of-the-day things that comes up with some
deep and meaningful philosophy from Marx or Confucius about all taxonomies
and glossaries being arbitrary - but that that does not matter as long as
everyone uses the same ones.

> -----Original Message-----
> From: Grenville Armitage [mailto:[email-masked]]
> Sent: Tuesday, May 30, 2000 3:31 PM
> To: Andrew Smith
> Cc: [email-masked]
> Subject: Re: [Diffserv] Some comments on Diff-Serve Conceptual Model
> Draft 3
>
>
>
>
> Andrew Smith wrote:
>       [..]
> > Maybe you missed the discussion in Adelaide: the consensus
> there seemed to
> > be to use the terms "absolute dropper" for what you
> describe above and
> > "algorithmic dropper" for anything that makes a decision
> based on some sort
> > of external inputs (e.g. a queue length). It's a somewhat
> arbitrary choice
> > but we need to pick a terminology and this was declared the winner.
>
> Now I'm a little confused. I thought a dropper always derived its
> drop/no-drop decision based on additional inputs (e.g. a queue length
> or metering stage output). Not that I'm particularly opposed to having
> two types of 'dropper', just curious if there's any better
> phrasing that
> would avoid this discussion recurring after the I-D becomes an RFC.
> (Somehow show that an 'absolute' dropper isn't simply a particular
> instance of an 'algorithmic' dropper.)
>
> cheers,
> gja
> 

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

---

From: Grenville Armitage <[email-masked]>
Date: Tue, 30 May 2000 16:22:20 -0700

Consistency is one thing, conciseness is another. I'm suggesting
that the Absolute dropper is merely an instance of an Algorithmic
dropper (with an algorithm of 'always drop'). Other readers are going
to notice (or believe they've noticed) the same thing, and wonder why
'we' created two different names. To forestall confusion, yes you
probably ought to define the two terms (and their differences) at
the front of the document.

cheers,
gja

-- 
________________________________________________________________________
Grenville Armitage                    http://members.home.net/garmitage/
Bell Labs Research Silicon Valley

---

From: Mark Stewart <[email-masked]>
Date: Wed, 31 May 2000 10:38:07 -0400

> the front of the document.

Hi Grenville

I sympathize with your opinion that the definition of Algorithmic dropper
appears to include the Absolute droppers, but differ in the verdict that we
should flag it at the front of the document. This phenomena where a superset
of old functionality is defined and terms are then needed to define "new" and
"old" is common and always problematic. Placing a bundle of "explanations" at
the front of every standard, in my opinion, detracts from rather than enhances
their clarity.

Unfortunately I believe the only avenue you will find open to improving the
clarity
is some clever wordsmithing of the definitions. I wish you the best as the
apparent
overlap rubs me the wrong way too.

Ciao

Mark Stewart

---

From: Grenville Armitage <[email-masked]>
Date: Wed, 31 May 2000 12:00:58 -0700

Mark Stewart wrote:
	[..]
> This phenomena where a superset

'Dropper' by itself is an old (or at least intuitive) term.
Unfortunately in this case neither Absolute Dropper nor Algorithmic
Dropper are "old" terms. Of these two new terms, the former isn't
even particularly intuitive. Linguistic wierdness ought to be
flagged at the start of a document if it is new (and cannot
be modified post-Adelaide :-)

cheers,
gja